Reverse Geocoding

Use this API to convert geolocation coordinates (latitude and longitude) into readable location information for verification purposes.

Response

You get the following key information in the data object of the response:

NameData TypeDescription
latitudestringThe latitude of the location coordinates as provided in the API call input.
longitudestringThe longitude of the location coordinates as provided in the API call input.
addressstringPhysical address of the entered coordinates.
citystringName of the city of the entered coordinates.
statestringName of the state of the entered coordinates.
statecodestringState code of the entered coordinates.
countrycodestringCountry code of the entered coordinates.
pincodestringPIN code information of the entered coordinates.
scorenumberConfidence score of the entered coordinates.
statusstringStatus of the entered coordinates.
Body Params
string
required

Your registered mobile number (See Platform Credentials for UAT)

string

A unique ID for every API call generated at your end

string
required

The latitude of the geolocation (eg: 28.527554)

string
required

The longitude of the geolocation (eg: 77.043832)

string
required

This is the ekocode of the partner.

string
required
Defaults to API

The source from which the request is coming. By default value : 'API'

Headers
string
required

Your static API key (See Guide)

string
required

Your dynamically generated security key, unique for every request (See Guide)

string
required

The current timestamp used to generate secret-key

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json